DSA 677-1: New sympa packages fix potential arbitrary code execution
Posted on: 02/11/2005 09:08 AM

New sympa packages are available for Debian GNU/Linux

---------------------------------------------------------------------------
Debian Security Advisory DSA 677-1 security@debian.org
http://www.debian.org/security/ Martin Schulze
February 11th, 2005 http://www.debian.org/security/faq
---------------------------------------------------------------------------

Package : sympa
Vulnerability : buffer overflow
Problem-Type : local
Debian-specific: no
CVE ID : CAN-2005-0073

Erik Sjölund discovered that a support script of sympa, a mailing list manager, is running setuid sympa and vulnerable to a buffer overflow. This could potentially lead to the execution of arbitrary code under the sympa user id.

For the stable distribution (woody) this problem has been fixed in version 3.3.3-3woody2.

For the unstable distribution (sid) this problem will be fixed soon.

We recommend that you upgrade your sympa package.


Upgrade Instructions
---------------------

wget url
will fetch the file for you
dpkg -i file.deb
will install the referenced file.

If you are using the apt-get package manager, use the line for sources.list as given below:

apt-get update
will update the internal database
apt-get upgrade
will install corrected packages

You may use an automated update by adding the resources from the footer to the proper configuration.


Debian GNU/Linux 3.0 alias woody
---------------------------------

Source archives:

http://security.debian.org/pool/updates/main/s/sympa/sympa_3.3.3-3woody2.dsc
Size/MD5 checksum: 601 757b8a0b0b6dde6e1b4626768e98aaaf
http://security.debian.org/pool/updates/main/s/sympa/sympa_3.3.3-3woody2.diff.gz
Size/MD5 checksum: 44518 1bcea87b271163637a68aae20e1e14f9
http://security.debian.org/pool/updates/main/s/sympa/sympa_3.3.3.orig.tar.gz
Size/MD5 checksum: 1457710 59776560bfb6c124c5a25129127383be

Architecture independent components:

http://security.debian.org/pool/updates/main/s/sympa/wwsympa_3.3.3-3woody2_all.deb
Size/MD5 checksum: 349648 0933a74b3e7b529bc3ccfff1e44fd310

Alpha architecture:

http://security.debian.org/pool/updates/main/s/sympa/sympa_3.3.3-3woody2_alpha.deb
Size/MD5 checksum: 636122 bcf354d30dd2bda45baeebb512ac84f2

ARM architecture:

http://security.debian.org/pool/updates/main/s/sympa/sympa_3.3.3-3woody2_arm.deb
Size/MD5 checksum: 634994 3936100bb555bc3f0c67cc4476138d46

Intel IA-32 architecture:

http://security.debian.org/pool/updates/main/s/sympa/sympa_3.3.3-3woody2_i386.deb
Size/MD5 checksum: 634982 bb63c09723a848b727d95994d9804ee9

Intel IA-64 architecture:

http://security.debian.org/pool/updates/main/s/sympa/sympa_3.3.3-3woody2_ia64.deb
Size/MD5 checksum: 637714 2f88784e6c5a9cffdb5a75c56e08ec6d

HP Precision architecture:

http://security.debian.org/pool/updates/main/s/sympa/sympa_3.3.3-3woody2_hppa.deb
Size/MD5 checksum: 635516 9808c2d9c7e812141c6bb21c63694903

Motorola 680x0 architecture:

http://security.debian.org/pool/updates/main/s/sympa/sympa_3.3.3-3woody2_m68k.deb
Size/MD5 checksum: 635186 0fa581c1fc424991e18079e09dec910d

Big endian MIPS architecture:

http://security.debian.org/pool/updates/main/s/sympa/sympa_3.3.3-3woody2_mips.deb
Size/MD5 checksum: 634980 b7cba06ff5e119967c0568392797d78c

Little endian MIPS architecture:

http://security.debian.org/pool/updates/main/s/sympa/sympa_3.3.3-3woody2_mipsel.deb
Size/MD5 checksum: 635016 fbf75e6f39246a03007e0627b35ea8b0

PowerPC architecture:

http://security.debian.org/pool/updates/main/s/sympa/sympa_3.3.3-3woody2_powerpc.deb
Size/MD5 checksum: 634678 061911261f49ddd13918c1af45d2738b

IBM S/390 architecture:

http://security.debian.org/pool/updates/main/s/sympa/sympa_3.3.3-3woody2_s390.deb
Size/MD5 checksum: 635834 f127573347d01e3cd5daedb6235462b5

Sun Sparc architecture:

http://security.debian.org/pool/updates/main/s/sympa/sympa_3.3.3-3woody2_sparc.deb
Size/MD5 checksum: 639518 c86008d13499edddeaf9f5f5daf5a667


These files will probably be moved into the stable distribution on its next update.


Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/dsa_677_1_new_sympa_packages_fix_potential_arbitrary_code_execution.html)